using Hotline.Settings;
using Hotline.Share.Enums.Settings;
using XF.Domain.Entities;

namespace Hotline.SeedData;
public class TimeLimitSettingSeedData : ISeedData<TimeLimitSetting>
{
    public IEnumerable<TimeLimitSetting> HasData()
    {
        return new List<TimeLimitSetting>
        {
            new() { BusCode = "1", BusName = "意见", TimeType = ETimeType.WorkDay, TimeValue = 3, Percentage = 80 , PercentageOne = 50 },
            new() { BusCode = "2", BusName = "惠民帮助", TimeType = ETimeType.WorkDay, TimeValue = 3, Percentage = 80 ,PercentageOne = 50 },
            new() { BusCode = "10", BusName = "咨询", TimeType = ETimeType.WorkDay, TimeValue = 3, Percentage = 80, PercentageOne = 50 },
            new() { BusCode = "30", BusName = "举报", TimeType = ETimeType.WorkDay, TimeValue = 5, Percentage = 80 , PercentageOne  = 50},
            new() { BusCode = "35", BusName = "投诉", TimeType = ETimeType.WorkDay, TimeValue = 5, Percentage = 80 , PercentageOne =50 },
            new() { BusCode = "20", BusName = "求助", TimeType = ETimeType.WorkDay, TimeValue = 5, Percentage = 80 , PercentageOne =50 },
            new() { BusCode = "15", BusName = "建议", TimeType = ETimeType.WorkDay, TimeValue = 3, Percentage = 80 , PercentageOne = 50 },
            new() { BusCode = "25", BusName = "表扬", TimeType = ETimeType.WorkDay, TimeValue = 3, Percentage = 80 ,PercentageOne = 50 },
            new() { BusCode = "40", BusName = "其他", TimeType = ETimeType.WorkDay, TimeValue = 3, Percentage = 80 , PercentageOne = 50 },
            new() { BusCode = "YQ", BusName = "疫情", TimeType = ETimeType.Hour, TimeValue = 24, Percentage = 80 , PercentageOne = 50 },
        };
    }
}
